Not the answer you need?
Register and ask your own question!

Percona XtraDB Cluster 5.6.32-25.17 is now available

hrvojemhrvojem PerconaPercona Staff Role
Percona announces the new release of Percona XtraDB Cluster 5.6.32-25.17 on October 4, 2016. Binaries are available from the downloads area and our software repositories.

Percona XtraDB Cluster 5.6.32-25.17 is now the current release, based on the following:
  • Percona Server 5.6.32-78.1
  • Galera Replication library 3.17
  • Codership wsrep API version 25
More information can be found in Percona XtraDB Cluster 5.6.32-25.17 release notes.

Comments

  • michael@schefczyk.net[email protected] Entrant Inactive User Role Beginner
    Dear Percona Team,

    First of all thank you very much for the generally very resilient and reliable software!

    With this upgrade please do check if your Centos repository leads to the correct results. If I am not mistaken, the current release of XtraDB Cluster wants to install XtraBackup version 2.2.9 (more recently: 2.3.4) which is below the version 2.3.5 now required for SST. Manually installing percona-xtrabackup-24 before XtraDB Cluster from that repository seems to lead to conflicts through the way the dependencies are set up.

    In my case (3 node cluster on Centos 7 with yum-cron) this lead to the nodes dying in sequence as the new package was installed. Each single node would bootstrap but no node would start using systectl start mysql, as SST was not working. Of course, the error messages were not that obvious and it took a bit more to understand the cause. Once it became obvious, I did revert and disabled further updates.

    If this is due to an error on my side, please post a node. Otherwise please do explicitly document a workaround or set up the dependencies in a way that this will not occur.

    Regards,

    Michael Schefczyk
Sign In or Register to comment.

MySQL, InnoDB, MariaDB and MongoDB are trademarks of their respective owners.
Copyright ©2005 - 2020 Percona LLC. All rights reserved.